Проблема с сдвигом детали в сборке

Автор Nesh, 03.03.07, 02:24:03

« предыдущая - следующая »

0 Пользователей и 1 гость просматривают эту тему.

Nesh

Помогите плизззз.
Вот код, который по идее должен сдвигать деталь в сборке. После компиляции и запуска библиотеки, деталь стоит на месте. Где ошибка:

doc3d_ass:=ksDocument3D(Kompas.ActiveDocument3D);
   doc3d_ass := ksDocument3D( Kompas.Document3D() );
  doc3d_ass.Create(false, false);
part_ass:=ksPart(doc3d_ass.GetPart(pTop_Part));
part_ass1:=ksPart(doc3d_ass.GetPart(pNew_Part));
part_ass2:=ksPart(doc3d_ass.GetPart(pNew_Part));
part_ass3:=ksPart(doc3d_ass.GetPart(pNew_Part));
PLane_YOX_ass:=ksEntity(part_ass.NewEntity(o3d_planeYOZ));
doc3d_ass.SetPartFromFile('D:\Temp_P\1.m3d',part_ass1,True);
doc3d_ass.SetPartFromFile('D:\Temp_P\2.m3d',part_ass2,True);
move:=ksComponentPositioner(doc3d_ass.ComponentPositioner);
move.Prepare(part_ass2,pnMove);
move.SetDragPoint(0,0,0);
move.SetPlane(PLane_YOX_ass);
move.MoveComponent(0,0,10);
move.Finish;
doc3d_ass.SetPartFromFile('D:\Temp_P\3.m3d',part_ass3,True);

333


Nesh

Нет, она не зафиксирована. Просто методом ksPLacement сдвигать получается, а так нет ::)